#
# spec file for package ffmpeg2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with    fdk_aac
%bcond_with    lame
%bcond_with    librtmp
%bcond_with    twolame
%bcond_with    vo_aacenc
%bcond_with    x264
%bcond_with    x265
%bcond_with    xvid
%bcond_with    opencore
%bcond_without celt
%bcond_without libass
%bcond_without libva
%bcond_without openjpeg
%bcond_without vdpau
%bcond_without webp

Name:           ffmpeg2
Version:        2.8.8
Release:        25.3
Summary:        Library for working with various multimedia formats
License:        LGPL-2.1+ and GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffmpeg.org/

#Freshcode-URL:    http://freshcode.club/projects/ffmpeg
#Git-Clone:     git://source.ffmpeg.org/ffmpeg
Source:         https://www.ffmpeg.org/releases/ffmpeg-%version.tar.xz
Source2:        https://www.ffmpeg.org/releases/ffmpeg-%version.tar.xz.asc
Source3:        ffmpeg2-rpmlintrc
Source4:        enable_decoders
Source5:        enable_encoders
Source6:        enable_demuxers
Source7:        enable_muxers
Source99:       baselibs.conf
Patch1:         ffmpeg-libcdio_cdda-pkgconfig.patch
Patch2:         ffmpeg-2.4.5-arm6l.patch
Patch3:         ffmpeg-pkgconfig-version.patch
Patch4:         ffmpeg-new-coder-errors.diff
Patch5:         ffmpeg-codec-choice.diff
Patch6:         0001-avcodec-exr-Check-tile-positions.patch
Patch7:         0001-avcodec-ansi-Check-dimensions.patch
Patch8:         0001-avcodec-cavsdsp-use-av_clip_uint8-for-idct.patch
Patch9:         0001-avformat-avidec-Remove-ancient-assert.patch
Patch10:        0001-avformat-avidec-Check-nb_streams-in-read_gab2_sub.patch
BuildRequires:  ladspa-devel
BuildRequires:  libgsm-devel
BuildRequires:  pkg-config
BuildRequires:  yasm
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(bzip2)
%if %{with celt}
BuildRequires:  pkgconfig(celt) >= 0.11.0
%endif
BuildRequires:  pkgconfig(enca)
BuildRequires:  pkgconfig(fontconfig) >= 2.4.2
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi) >= 0.19.0
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(jack)
%if %{with libass}
BuildRequires:  pkgconfig(libass)
%endif
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libdc1394-2)
BuildRequires:  pkgconfig(liboil-0.3) >= 0.3.15
%if %{with openjpeg}
BuildRequires:  pkgconfig(libopenjpeg)
%endif
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libraw1394)
%if %{with libva}
BuildRequires:  pkgconfig(libva) >= 0.35.0
%endif
%if %{with webp}
BuildRequires:  pkgconfig(libwebp) >= 0.4
%endif
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(schroedinger-1.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(theora) >= 1.1
%if %{with vdpau}
BuildRequires:  pkgconfig(vdpau)
%endif
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vpx) >= 1.3.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(zlib)
%if 0%{?BUILD_ORIG}
%if %{with fdk_aac}
BuildRequires:  pkgconfig(fdk-aac)
%endif
%if %{with librtmp}
BuildRequires:  pkgconfig(librtmp)
%endif
%if %{with lame}
BuildRequires:  libmp3lame-devel
%endif
%if %{with xvid}
BuildRequires:  libxvidcore-devel
%endif
%if %{with opencore}
BuildRequires:  pkgconfig(opencore-amrnb)
%endif
%if %{with twolame}
BuildRequires:  pkgconfig(twolame)
%endif
%if %{with x264}
BuildRequires:  pkgconfig(x264)
%endif
%if %{with x265}
BuildRequires:  pkgconfig(x265)
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       ffmpeg-tools = %{version}
Obsoletes:      ffmpeg-tools < %{version}

%description
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavcodec56
Summary:        FFmpeg codec library
Group:          System/Libraries
# For mozillas
Provides:       libavcodec = %version-%release
%if 0%{?BUILD_ORIG}
Provides:       libavcodec-full = %version-%release
# This can be required by packages likes vlc-codecs - following the shlib name to not get random lib providers
Provides:       libavcodec56(unrestricted)
%endif

%description -n libavcodec56
The libavcodec library provides a generic encoding/decoding framework
and contains multiple decoders and encoders for audio, video and
subtitle streams, and several bitstream filters.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavdevice56
Summary:        FFmpeg device library
Group:          System/Libraries

%description -n libavdevice56
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.

%package -n libavfilter5
Summary:        FFmpeg audio and video filtering library
Group:          System/Libraries

%description -n libavfilter5
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.

%package -n libavformat56
Summary:        FFmpeg's stream format library
Group:          System/Libraries

%description -n libavformat56
The libavformat library provides a generic framework for multiplexing
and demultiplexing (muxing and demuxing) audio, video and subtitle
streams. It encompasses multiple muxers and demuxers for multimedia
container formats.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavresample2
Summary:        FFmpeg alternate audio resampling library
Group:          System/Libraries

%description -n libavresample2
An audio resampling library that is being provided for drop-in
compatibility with libav.

It is advised to use libswresample for new code.

%package -n libavutil54
Summary:        FFmpeg's utility library
Group:          System/Libraries

%description -n libavutil54
The libavutil library is a utility library to aid portable multimedia
programming. It contains safe portable string functions, random
number generators, data structures, additional mathematics functions,
cryptography and multimedia related functionality (like enumerations
for pixel and sample formats).

%package -n libpostproc53
Summary:        FFmpeg post-processing library
Group:          System/Libraries

%description -n libpostproc53
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.

%package -n libswresample1
Summary:        FFmpeg software resampling library
Group:          System/Libraries

%description -n libswresample1
The libswresample library performs audio conversion between different
sample rates, channel layout and channel formats.

%package -n libswscale3
Summary:        FFmpeg image scaling and colorspace/pixel conversion library
Group:          System/Libraries

%description -n libswscale3
The libswscale library performs image scaling and colorspace and
pixel format conversion operations.

%package devel
Summary:        Development files for FFmpeg 2.x libraries
Group:          Development/Libraries/C and C++
Conflicts:      libavcodec-devel
Conflicts:      libavdevice-devel
Conflicts:      libavfilter-devel
Conflicts:      libavformat-devel
Conflicts:      libavresample-devel
Conflicts:      libavutil-devel
Conflicts:      libpostproc-devel
Conflicts:      libswresample-devel
Conflicts:      libswscale-devel
Conflicts:      ffmpeg-devel
Requires:       libavcodec56 = %version
Requires:       libavdevice56 = %version
Requires:       libavfilter5 = %version
Requires:       libavformat56 = %version
Requires:       libavresample2 = %version
Requires:       libavutil54 = %version
Requires:       libpostproc53 = %version
Requires:       libswresample1 = %version
Requires:       libswscale3 = %version

%description devel
This subpackage contains the headers for the libraries from an older
FFmpeg version, 2.x. For package description details, see the
packages of the most recent ffmpeg version also shipped in the
distribution.

%prep
%setup -qn ffmpeg-%version
%patch -P 1 -P 2 -P 3 -P 4 -P 5 -P 6 -P 7 -P 8 -P 9 -P 10 -p1

%build
perl -i -pe 's{__TIME__|__DATE__}{"$&"}g' *.c

CFLAGS="%optflags" \
./configure \
	--prefix="%_prefix" --libdir="%_libdir" --shlibdir="%_libdir" \
	--incdir="%_includedir/ffmpeg" \
	--extra-cflags="%optflags" --optflags="%optflags" \
	--disable-htmlpages \
	--enable-pic --disable-stripping \
	--enable-shared --disable-static \
	--enable-runtime-cpudetect \
	--enable-gpl \
	--disable-openssl \
	--enable-avresample \
	--enable-libcdio \
	--enable-gnutls \
	--enable-ladspa \
%if %{with libass}
	--enable-libass \
%endif
	--enable-libbluray \
%if %{with celt}
	--enable-libcelt \
%endif
	--enable-libcdio \
	--enable-libdc1394 \
	--enable-libfreetype \
	--enable-libgsm \
%if %{with openjpeg}
	--enable-libopenjpeg \
%endif
	--enable-libopus \
	--enable-libpulse \
	--enable-libschroedinger \
	--enable-libspeex \
	--enable-libtheora \
	--enable-libvorbis \
	--enable-libvpx \
%if %{with webp}
	--enable-libwebp \
%endif
	--enable-pic \
	--enable-pthreads \
%if %{with libva}
	--enable-vaapi \
%endif
%if %{with vdpau}
	--enable-vdpau \
%endif
%if 0%{?BUILD_ORIG}
%if %{with fdk_aac}
	--enable-libfdk_aac --enable-nonfree \
%endif
%if %{with lame}
	--enable-libmp3lame \
%endif
%if %{with opencore}
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
%endif
%if %{with twolame}
	--enable-libtwolame \
%endif
%if %{with x264}
	--enable-libx264 \
%endif
%if %{with x265}
	--enable-libx265 \
%endif
%if %{with xvid}
	--enable-libxvid \
%endif
%else
	--disable-encoders \
	--disable-decoders \
	--disable-muxers \
	--disable-demuxers \
	--disable-decoder=mpeg1video,mpeg2video,mpeg4,h264,vc1 \
	--enable-encoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_encoders)" \
	--enable-decoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_decoders)" \
	--enable-muxer="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_muxers)" \
	--enable-demuxer="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_demuxers)" \
%endif
	--enable-x11grab
cat config.h
make %{?_smp_mflags}

%install
b="%buildroot"
%make_install
rm -Rf "$b/%_bindir" "$b/%_mandir" "$b/%_datadir"

%post   -n libavcodec56 -p /sbin/ldconfig
%postun -n libavcodec56 -p /sbin/ldconfig
%post   -n libavdevice56 -p /sbin/ldconfig
%postun -n libavdevice56 -p /sbin/ldconfig
%post   -n libavfilter5 -p /sbin/ldconfig
%postun -n libavfilter5 -p /sbin/ldconfig
%post   -n libavformat56 -p /sbin/ldconfig
%postun -n libavformat56 -p /sbin/ldconfig
%post   -n libavresample2 -p /sbin/ldconfig
%postun -n libavresample2 -p /sbin/ldconfig
%post   -n libavutil54 -p /sbin/ldconfig
%postun -n libavutil54 -p /sbin/ldconfig
%post   -n libpostproc53 -p /sbin/ldconfig
%postun -n libpostproc53 -p /sbin/ldconfig
%post   -n libswresample1 -p /sbin/ldconfig
%postun -n libswresample1 -p /sbin/ldconfig
%post   -n libswscale3 -p /sbin/ldconfig
%postun -n libswscale3 -p /sbin/ldconfig

%files -n libavcodec56
%defattr(-,root,root)
%_libdir/libavcodec.so.*

%files -n libavdevice56
%defattr(-,root,root)
%_libdir/libavdevice.so.*

%files -n libavfilter5
%defattr(-,root,root)
%_libdir/libavfilter.so.*

%files -n libavformat56
%defattr(-,root,root)
%_libdir/libavformat.so.*

%files -n libavresample2
%defattr(-,root,root)
%_libdir/libavresample.so.*

%files -n libavutil54
%defattr(-,root,root)
%_libdir/libavutil.so.*

%files -n libpostproc53
%defattr(-,root,root)
%_libdir/libpostproc.so.*

%files -n libswresample1
%defattr(-,root,root)
%_libdir/libswresample.so.*

%files -n libswscale3
%defattr(-,root,root)
%_libdir/libswscale.so.*

%files devel
%defattr(-,root,root)
%doc Changelog COPYING.GPLv2 CREDITS LICENSE.md README.md
%_includedir/ffmpeg/
%_libdir/libav*.so
%_libdir/libpostproc.so
%_libdir/libsw*.so
%_libdir/pkgconfig/*.pc

%changelog
* Fri Oct 28 2016 olaf@aepfle.de
- Enable libfdk_aac if it is available at buildtime
* Sat Oct  8 2016 jengelh@inai.de
- Add 0001-avcodec-ansi-Check-dimensions.patch,
  0001-avcodec-cavsdsp-use-av_clip_uint8-for-idct.patch
  0001-avformat-avidec-Check-nb_streams-in-read_gab2_sub.patch
  0001-avformat-avidec-Remove-ancient-assert.patch [boo#1003806]
* Wed Sep 28 2016 dimstar@opensuse.org
- Have libavcodec56 additionally provide libavcodec56(unrestricted)
  when building unrestricted: allow third party packages to require
  the unrestricted codec. The existing -full provides is not
  suitable as it can be provided by multiple libavcodec* packages,
  whereas we require a specific ABI version.
* Tue Sep 27 2016 jengelh@inai.de
- Update to new maintenance release 2.8.8
  * avformat/oggparsevp8: fix pts calculation on pages ending with an invisible frame
  * avcodec/mjpegdec: Do not try to detect last scan but apply idct after all scans for progressive jpeg
  * avformat/oggparseopus: Check that granule pos is within the supported range
  * avformat/utils: Check bps before using it in a shift in ff_get_pcm_codec_id()
  * ffmpeg: Check that r_frame_rate is set before attempting to use it
  * avformat/utils: Do not compute the bitrate from duration == 0
  * avformat/utils: Check negative bps before shifting in ff_get_pcm_codec_id()
  * avformat/avidec: Detect index with too short entries
  * avformat/oggparseopus: Fix Undefined behavior in oggparseopus.c and libavformat/utils.c
  * avformat/allformats: Making av_register_all() thread-safe.
  * avcodec/vp9_parser: Check the input frame sizes for being consistent
  * avformat/oggdec: Fix integer overflow with invalid pts
  * avcodec/ffv1enc: Fix assertion failure with non zero bits per sample
  * avcodec/diracdec: Check numx/y
  * avformat/avidec: Fix infinite loop in avi_read_nikon()
- Add 0001-avcodec-exr-Check-tile-positions.patch [bnc#998636]
* Fri Aug 12 2016 jengelh@inai.de
- Make a copy of existing ffmpeg 3.x package (specfiles, patches)
  and add the most recent ffmpeg 2.x series tarball.
  This is for VLC…
- Update to new upstream release 2.8.7
  * swscale/x86/output: Fix yuv2planeX_16* with unaligned destination
  * libwebpenc_animencoder: zero initialize the
  WebPAnimEncoderOptions struct
  * avcodec/avpacket: Fix off by 5 error
* Tue May 31 2016 robert.munteanu@gmail.com
- Guard usage of opencore using bcond_with, boo#980542
* Thu Apr 28 2016 aloisio@gmx.com
- Dropped dcadec (libdca was merged upstream)
* Mon Apr 25 2016 jengelh@inai.de
- Add ffmpeg-codec-choice.diff
* Sun Apr 17 2016 olaf@aepfle.de
- Remove ffmpeg-devel subpackage.
  All users have been converted to pkgconfig
  Add Provides/Obsoletes to libavdevice-devel
* Sun Apr 10 2016 jengelh@inai.de
- Add ffmpeg-new-coder-errors.diff
* Wed Apr  6 2016 jengelh@inai.de
- Another try at organizing the codec-enable list.
  Enable video: AYUV, Dirac, MJPEG, rawvideo, Theora, VP8, VP9, WebP,
  zlib
  Enable audio: Celt, GSM, Opus, Speex, Vorbis
  Enable subtitle: ASS/SSA text, SRT text, UTF-8 plaintext
* Tue Feb 16 2016 olaf@aepfle.de
- Update included pkgconfig files to require the exact version
  of ffmpeg pc files, instead of any later version
  ffmpeg-pkgconfig-version.patch
* Mon Feb 15 2016 idonmez@suse.com
- Remove the optional vo-aacenc dependency, upstream removed it.
* Tue Feb  2 2016 aloisio@gmx.com
- Update to version 2.8.6
  * avcodec/jpeg2000dec: More completely check cdef
  * avutil/opt: check for and handle errors in av_opt_set_dict2()
  * avcodec/flacenc: fix calculation of bits required in case
    of custom sample rate
  * avformat: Document urls a bit
  * avformat/libquvi: Set default demuxer and protocol
    limitations
  * avformat/concat: Check protocol prefix
  * doc/demuxers: Document enable_drefs and use_absolute_path
  * avcodec/mjpegdec: Check for end for both bytes in unescaping
  * avcodec/mpegvideo_enc: Check for integer overflow in
    ff_mpv_reallocate_putbitbuffer()
  * avformat/avformat: Replace some references to filenames by
    urls
  * avcodec/wmaenc: Check ff_wma_init() for failure
  * avcodec/mpeg12enc: Move high resolution thread check to
    before initializing threads
  * avformat/img2dec: Use AVOpenCallback
  * avformat/avio: Limit url option parsing to the documented
    cases
  * avformat/img2dec: do not interpret the filename by default
    if a IO context has been opened
  * avcodec/ass_split: Fix null pointer dereference in
    ff_ass_style_get()
  * mov: Add an option to toggle dref opening
  * avcodec/gif: Fix lzw buffer size
  * avcodec/put_bits: Assert buf_ptr in flush_put_bits()
  * avcodec/tiff: Check subsample & rps values more completely
  * swscale/swscale: Add some sanity checks for srcSlice*
    parameters
  * swscale/x86/rgb2rgb_template: Fix planar2x() for short
    width
  * swscale/swscale_unscaled: Fix odd height inputs for
    bayer_to_yv12_wrapper()
  * swscale/swscale_unscaled: Fix odd height inputs for
    bayer_to_rgb24_wrapper()
  * avcodec/aacenc: Check both channels for finiteness
  * asfdec_o: check for too small size in asf_read_unknown
  * asfdec_o: break if EOF is reached after
    asf_read_packet_header
  * asfdec_o: make sure packet_size is non-zero before seeking
  * asfdec_o: prevent overflow causing seekback
  * asfdec_o: check avio_skip in asf_read_simple_index
  * asfdec_o: reject size > INT64_MAX in asf_read_unknown
  * asfdec_o: only set asf_pkt->data_size after sanity checks
  * Merge commit '8375dc1dd101d51baa430f34c0bcadfa37873896'
  * dca: fix misaligned access in avpriv_dca_convert_bitstream
  * brstm: fix missing closing brace
  * brstm: also allocate b->table in read_packet
  * brstm: make sure an ADPC chunk was read for adpcm_thp
  * vorbisdec: reject rangebits 0 with non-0 partitions
  * vorbisdec: reject channel mapping with less than two
    channels
  * ffmdec: reset packet_end in case of failure
  * avformat/ipmovie: put video decoding_map_size into packet
    and use it in decoder
  * avformat/brstm: fix overflow
* Sun Jan 17 2016 idonmez@suse.com
- Update to version 2.8.5
  * Fixes CVE-2016-1897 and CVE-2016-1898 [boo#961937]
* Mon Dec 28 2015 idonmez@suse.com
- Update to version 2.8.4
  * Many bugfixes, see the included Changelog for all the changes.
  * resolving CVE-2015-8661 [boo#960385], CVE-2015-8662 [boo#960384],
  CVE-2015-8663 [boo#960383]
- Drop ffmpeg-remove_some_unused_ctrl_id_mappings.patch, fixed
  upstream.
* Tue Dec 22 2015 olaf@aepfle.de
- Obsolete ffmpeg-tools from packman
* Mon Dec 21 2015 jengelh@inai.de
- Add some provides to make it easier for firefox to recommend
  this package for installation
* Sat Dec 19 2015 joerg.lorenzen@ki.tng.de
- Added patch ffmpeg-remove_some_unused_ctrl_id_mappings.patch to
  successfully build against libvpx >= 1.5 (at least on PMBS).
* Thu Dec 17 2015 olaf@aepfle.de
- Add buildconditionals for libass,libva,vdpau to fix build in SLE_11
* Mon Dec 14 2015 olaf@aepfle.de
- Rename bcond dca to dcadec
- Add more buildconditionals to get closer to removal of BUILD_ORIG
* Wed Dec  9 2015 olaf@aepfle.de
- Remove unused imlib2
* Mon Dec  7 2015 idonmez@suse.com
- Sync with packman changes
  * All packman specific changes are protected with BUILD_ORIG
- Added the following patches
  * ffmpeg-2.4.5-arm6l.patch
  * ffmpeg-libcdio_cdda-pkgconfig.patch
* Sun Nov 29 2015 jengelh@inai.de
- Update to new upstream maintenance release 2.8.3
  * avformat/matroskadec: Check subtitle stream before dereferencing
  * avcodec/jpeg2000dec: Fix potential integer overflow with tile
  dimensions
  * avcodec/jpeg2000dec: Check for duplicate SIZ marker
  * avcodec/jpeg2000: Change coord to 32bit to support larger than
  32k width or height
  * avcodec/jpeg2000dec: Check SIZ dimensions to be within the
  supported range
  * avcodec/jpeg2000: Check comp coords to be within the supported
  size
  * dds: validate compressed source buffer size
  * dds: validate source buffer size before copying
  * softfloat: assert when the argument of av_sqrt_sf is negative
- Fixes CVE-2015-8363 [bnc#957114], CVE-2015-8364 [bnc#957115],
  CVE-2015-8365 [bnc#957116]
* Sat Nov 14 2015 idonmez@suse.com
- Update to new upstream release 2.8.2, containing fixes for the
  following security issues:
  * CVE-2015-8216 boo#955346
  * CVE-2015-8217 boo#955347
  * CVE-2015-8218 boo#955348
  * CVE-2015-8219 boo#955350
- Upstream changes:
  * various fixes in the aac_fixed decoder
  * various fixes in softfloat
  * swresample/resample: increase precision for compensation
  * lavf/mov: add support for sidx fragment indexes
  * avformat/mxfenc: Only store user comment related tags when needed
  * ffmpeg: Don't try and write sdp info if none of the outputs had an rtp format.
  * apng: use correct size for output buffer
  * jvdec: avoid unsigned overflow in comparison
  * avcodec/jpeg2000dec: Clip all tile coordinates
  * avcodec/microdvddec: Check for string end in 'P' case
  * avcodec/dirac_parser: Fix undefined memcpy() use
  * avformat/xmv: Discard remainder of packet on error
  * avformat/xmv: factor return check out of if/else
  * avcodec/mpeg12dec: Do not call show_bits() with invalid bits
  * avcodec/faxcompr: Add missing runs check in decode_uncompressed()
  * libavutil/channel_layout: Check strtol*() for failure
  * avformat/mpegts: Only start probing data streams within probe_packets
  * avcodec/hevc_ps: Check chroma_format_idc
  * avcodec/ffv1dec: Check for 0 quant tables
  * avcodec/mjpegdec: Reinitialize IDCT on BPP changes
  * avcodec/mjpegdec: Check index in ljpeg_decode_yuv_scan() before using it
  * avcodec/h264_slice: Disable slice threads if there are multiple access units in a packet
  * avformat/hls: update cookies on setcookie response
  * opusdec: Don't run vector_fmul_scalar on zero length arrays
  * avcodec/opusdec: Fix extra samples read index
  * avcodec/ffv1: Initialize vlc_state on allocation
  * avcodec/ffv1dec: update progress in case of broken pointer chains
  * avcodec/ffv1dec: Clear slice coordinates if they are invalid or slice header decoding fails for other reasons
  * rtsp: Allow $ as interleaved packet indicator before a complete response header
  * videodsp: don't overread edges in vfix3 emu_edge.
  * avformat/mp3dec: improve junk skipping heuristic
  * concatdec: fix file_start_time calculation regression
  * avcodec: loongson optimize h264dsp idct and loop filter with mmi
  * avcodec/jpeg2000dec: Clear properties in jpeg2000_dec_cleanup() too
  * avformat/hls: add support for EXT-X-MAP
  * avformat/hls: fix segment selection regression on track changes of live streams
  * configure: Require libkvazaar < 0.7.
  * avcodec/vp8: Do not use num_coeff_partitions in thread/buffer setup
- Drop ffmpeg-mov-sidx-fragment.patch, fixed upstream.
* Sat Oct 31 2015 idonmez@suse.com
- Update to new upstream release 2.8.1
  * Minor bugfix release
  * Includes all changes from. Ffmpeg-mt,
    libav master of 2015-08-28, libav 11 as of 2015-08-28
- Add ffmpeg-mov-sidx-fragment.patch to add sidx fragment indexes.
  Needed for new mpv release.
* Wed Sep  9 2015 jengelh@inai.de
- Update to new upstream release 2.8
  * DirectDraw Surface image/texture decoder
  * Many improvements to the JPEG 2000 decoder
  * New video filters: colorkey, SSIM, showvolume, adrawgraph,
  drawgraph, removegrain, erosion, dilation, deflate, inflate,
  reverse, atadenoise, aphasemeter, showfreqs, vectorscope,
  waveform, hstack, vstack, framerate
  * New audio filters: Dynamic Audio Normalizer as dynaudnorm
  filter, areverse, random, deband, sidechaincompress,
  acrossfade
  * allyuv and allrgb video sources
  * Switched default encoders for webm to VP9 and Opus
  * Removed experimental flag from the JPEG 2000 encoder
* Mon Jul 20 2015 jengelh@inai.de
- Update to new upstream release 2.7.2
- webp: fix infinite loop in webp_decode_frame
- huffyuvdec: validate image size
- avcodec/vp8: Check buffer size in vp8_decode_frame_header()
- avcodec/vp8: Fix null pointer dereference in ff_vp8_decode_free()
- avutil/fifo: Fix the case where func() returns less bytes than
  requested in av_fifo_generic_write()
- bytestream2: set the reader to the end when reading more than
  available
- oggparsedirac: check return value of init_get_bits
- vp9/update_prob: prevent out of bounds table read
- avcodec/pngdec: Check values before updating context in
  decode_fctl_chunk()
- avcodec/pngdec: Copy IHDR & plte state from last thread
- avcodec/pngdec: Require a IHDR chunk before fctl
- avcodec/pngdec: Only allow one IHDR chunk
- ffmpeg: Do not use the data/size of a bitstream filter
  after failure
* Thu Jun 25 2015 jengelh@inai.de
- Enable codecs for audio: PCM, Speex, CELT, FLAC, ILBC, Opus
- Enable codecs for image: BMP/PCX/TGA, TIFF, Sun/SGI/X11 raster
  raw Huff-compressed or uncompressed YUV
- Update to new upstream release 2.7.1
  * postproc: fix unaligned access
  * avcodec/flacenc: Fix Invalid Rice order
  * tls_gnutls: fix hang on disconnection
  * avcodec/ffv1enc: fix bps for >8bit yuv when not explicitly set
  * avio: fix potential crashes when combining ffio_ensure_seekback + crc
  * ffmpeg_opt: Check for localtime() failure
  * configure: Disable VSX on unspecified / generic CPUs
* Thu Jun 25 2015 develop7@develop7.info
- Enabled 'bluray' protocol
* Wed Jun 10 2015 jengelh@inai.de
- Update to new upstream release 2.7
  * New encoders: apng (PNG with alpha)
  * New decoders: TDSC (a JPEG/BGR24/zlib format)
  * New audio filters: chorus
  * New video filters: cover_rect, detelecine, fftfilt, find_rect
- Enable codecs: 012v, ansi, apng, bmp, exr, ffv1, ffvhuff
  * unpack DivX-style packed B-frames in MPEG-4 bitstream filter
  * WebM Live Chunk Muxer
  * nvenc level and tier options
- Canopus HQ/HQA decoder
- Automatically rotate videos based on metadata in ffmpeg
- improved Quickdraw compatibility
- VP9 high bit-depth and extended colorspaces decoding support
- WebPAnimEncoder API when available for encoding and muxing WebP
- Direct3D11-accelerated decoding
- Support Secure Transport
- Multipart JPEG demuxer
* Sat May 23 2015 robert.munteanu@gmail.com
- Fix building with BUILD_ORIG
* Sun May 17 2015 jengelh@inai.de
- Update to new upstream release 2.6.3
  * avcodec/libtheoraenc: Check for av_malloc failure
  * ffmpeg_opt: Fix -timestamp parsing
  * avcodec/cavsdec: Use ff_set_dimensions()
  * swr: fix alignment issue caused by 8ch sse functions
  * avcodec/mjpegdec: fix len computation in ff_mjpeg_decode_dqt()
  * avformat/matroskadec: Cleanup error handling for bz2 & zlib
  * avformat/matroskaenc: Check ff_vorbiscomment_length in
  put_flac_codecpriv()
  * avcodec/mpeg12dec: use the correct dimensions for checking SAR
  * xcbgrab: Validate the capture area
  * xcbgrab: Do not assume the non shm image data is always available
  * avfilter/lavfutils: disable frame threads when decoding a single
  image
  * ffmpeg: remove incorrect network deinit
  * OpenCL: Avoid potential buffer overflow in cmdutils_opencl.c
  * libvpxenc: only set noise reduction w/vp8
  * vp9: remove another optimization branch in iadst16 which causes
  overflows.
  * network: Do not leave context locked on error
  * vp9: remove one optimization branch in iadst16 which causes
  overflows.
  * swresample: Allow reinitialization without ever setting channel
  layouts/counts
  * imgutils: initialize palette padding bytes in av_image_alloc
  * id3v2: catch avio_read errors in check_tag
  * avi: Validate sample_size
  * diracdec: avoid overflow of bytes*8 in decode_lowdelay
  * diracdec: prevent overflow in data_unit_size check
  * matroskadec: use uint64_t instead of int for index_scale
  * pngdec: don't use AV_PIX_FMT_MONOBLACK for apng
  * pngdec: return correct error code from decode_frame_common
  * swscale/ppc/swscale_altivec.c: POWER LE support in yuv2planeX_8()
  delete macro GET_VF() it was wrong
  * matroskadec: export cover art correctly
  * mxfenc: don't try to write footer without header
- Enable building avresample for extra API compat
- Remove ffmpeg-pkgconfig-requires.diff: RPM's pkgconfigdeps.sh is
  scanning Requires.private too.
* Mon May 11 2015 dimstar@opensuse.org
- Add baselibs.conf: provide -32bit libraries (used by xine-32bit).
* Mon Apr 13 2015 jengelh@inai.de
- Update to new upstream release 2.6.2
  * avformat/utils: avoid discarded streams in
  av_find_default_stream_index()
  * avutil/cpu: add missing check for mmxext to av_force_cpu_flags
  * avformat/http: replace cookies with updated values instead of
  appending forever
* Thu Mar 19 2015 jengelh@inai.de
- Update to new upstream release 2.6.1
  * Maintenance release with some bugfixes
* Sun Mar  8 2015 jengelh@inai.de
- Update to new upstream release 2.6
  * The VP9 decoder is now usable on x86(-32) and pre-SSSE3 CPUs.
  * 10-bit support in the SPP video filter
  * New video filters: "colorlevels", "tblend", "palettegen",
  "paletteuse". New audio filters: "dcshift".
  * The old libmpcodecs wrapper is finally gone
  * API changes: introduction of device inputs and outputs
* Tue Jan 27 2015 jengelh@inai.de
- Update to new upstream release 2.5.3
  * AVFoundation screen-grabbing support, animated WebP decoding
  support, and Animated PNG support. UDP-Lite support was added.
* Sun Jan  4 2015 jengelh@inai.de
- Initial package (version 2.5.3) for build.opensuse.org
